Name:      pius
Version:   2.2.4
Release:   6%{?dist}
Summary:   A tool for signing and emailing all UIDs on a set of PGP keys

License:   GPLv2
URL:       http://www.phildev.net/pius
Source0:   https://github.com/jaymzh/pius/archive/v%{version}/%{name}-%{version}.tar.gz
BuildArch: noarch

BuildRequires:  perl-generators
BuildRequires:  python2-devel
BuildRequires:  /usr/bin/pathfix.py

%description
The PGP Individual UID Signer (PIUS) is a tool for individually
signing all of the UIDs on a set of keys and encrypt-emailing each
one to it's respective email address. This drastically reduces the time
and errors involved in signing keys after a key signing party.

%prep
%setup -q

pathfix.py -pni "%{__python2} %{py2_shbang_opts}" pius{,-{keyring-mgr,report}}

%build

%install
install -pdm 755 $RPM_BUILD_ROOT%{_bindir}
install -p  %{name} %{name}-* -t $RPM_BUILD_ROOT%{_bindir}
mkdir -p %{buildroot}%{python2_sitelib}
mv libpius %{buildroot}%{python2_sitelib}

%files
%{_bindir}/%{name}
%{_bindir}/%{name}-report
%{_bindir}/%{name}-keyring-mgr
%{_bindir}/%{name}-party-worksheet
%{python2_sitelib}/libpius
%doc README.md README-keyring-mgr.md COPYING %{name}.spec INSTALL RELEASE_PROCESS

%changelog
* Fri Jul 26 2019 Fedora Release Engineering <releng@fedoraproject.org> - 2.2.4-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_31_Mass_Rebuild

* Sat Feb 02 2019 Fedora Release Engineering <releng@fedoraproject.org> - 2.2.4-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild

* Wed Oct 31 2018 Vít Ondruch <vondruch@redhat.com> - 2.2.4-4
- Fix Python paths.

* Fri Jul 13 2018 Fedora Release Engineering <releng@fedoraproject.org> - 2.2.4-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Fri Feb 09 2018 Fedora Release Engineering <releng@fedoraproject.org> - 2.2.4-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 2.2.4-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Wed Jun 28 2017 Fabio Alessandro Locati <fale@fedoraproject.org> - 2.2.4-1
- Update to 2.2.4

* Tue Feb 14 2017 Fabio Alessandro Locati <fale@fedoraproject.org> - 2.2.3-1
- Update to 2.2.3

* Sat Feb 11 2017 Fedora Release Engineering <releng@fedoraproject.org> - 2.2.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Wed Aug 03 2016 Fabio Alessandro Locati <fale@fedoraproject.org> - 2.2.2-1
- Update to 2.2.2
- Move from sourceforge upstream to github

* Tue Jul 19 2016 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.2.0-3
- https://fedoraproject.org/wiki/Changes/Automatic_Provides_for_Python_RPM_Packages

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 2.2.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Mon Oct 05 2015 Praveen Kumar <kumarpraveen.nitdgp@gmail.com> 2.2.0-1
- Update to 2.2.0 (#1268514)

* Wed Aug 19 2015 Praveen Kumar <kumarpraveen.nitdgp@gmail.com> 2.1.1-3
- Added required library to fix module import issue.

* Thu Jun 18 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.1.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Wed May 06 2015 Fedora Release Monitoring <release-monitoring@fedoraproject.org> - 2.1.1-1
- Update to 2.1.1 (#1218974)

* Tue Feb 03 2015 Praveen Kumar <kumarpraveen.nitdgp@gmail.com> 2.0.11-1
- Updated to latest source

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.0.9-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.0.9-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Wed Jul 17 2013 Petr Pisar <ppisar@redhat.com> - 2.0.9-6
- Perl 5.18 rebuild

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.0.9-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Sat Jul 21 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.0.9-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Sat Jan 14 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.0.9-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Wed Nov 9 2011 Praveen Kumar <kumarpraveen.nitdgp@gmail.com> 2.0.9-2
- Add noarch and did some minor change according review

* Mon Nov 7 2011 Praveen Kumar <kumarpraveen.nitdgp@gmail.com> 2.0.9-1
- Initial version of the package
